Insight
40 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| exportRogueApsGlobal | POST | Export global Rogue AP scan results |
| exportFullChannelDetectResult | GET | Export interference detection results |
| exportBatchFullChannelDetectResultData_1 | GET | Export batch interference detection results |
| triggerFullChannelDetect | POST | Enable interference detection |
| getChannelLoadResult | GET | Get channel utilization results of interference detection |
| getInterfResult | GET | Get Interference result |
| getFullChannelDetectStatus | GET | Get the interference detection status of APs |
| getGridWifiInterfResult | GET | Get WiFi interference results of interference detection |
| triggerSpectralScan | POST | Enable environment scanning |
| stopSpectralScan | POST | Stop environment scanning |
| scanRogueAps | POST | Scan Rogue APs |
| terminateVpnTunnel | POST | Terminating vpn tunnel |
| deleteALLBatchFullChannelDetectHistory | DELETE | Delete all interference detection history |
| startBatchFullChannelDetect | POST | Enable batch interference detection |
| deleteBatchFullChannelDetectHistory | DELETE | Delete the interference detection history |
| getBatchFullChannelDetectApList | GET | Get the AP list of batch interference detection |
| getBatchChannelLoadsResult | GET | Get channel utilization results of batch interference detection |
| getBatchInterferencesResult | GET | Get Batch Interferences Result |
| getBatchWifiInterferencesResult | GET | Get WiFi interference results of batch interference detection |
| getDisableFullChannelDetectApMacList | GET | Get the MAC list of APs that cannot perform interference detection |
| getGridFullChannelDetectHistory | GET | Get the interference detection history by page |
| getBatchFullChannelDetectStatus | POST | Get the interference detection status |
| getGridEnableFullChannelDetectApList | GET | Get the list of devices that can perform interference detection by page |
| getPortForwardStatus | GET | Get Port Forwarding Status |
| getGridRogueAps | GET | Query the Rogue AP scan results |
| getGridRouting | GET | Get the routing table data interface |
| getGridWidsData | GET | Query the Wireless IDS entry list |
| getGridWipsBlackList | GET | Get the dynamic blacklist entry data of Wireless IDS |
| removeWipsBlackList | PUT | Remove the specified Device MAC from the blacklist of the reported device |
| getGridVpnClientStatus | GET | Get VPN Client status list |
| getGridVpnIpSec | GET | Query the vpnStats ipsec list |
| getGridVpnS2SStatus | GET | Get VPN Site-to-Site status list |
| getGridVpnS2SPeersStatus | GET | Get VPN Site-to-Site's peers status list |
| getGridVpnServerStatus | GET | Get VPN Server status list |
| getGridVpnServerClientsStatus | GET | Get VPN Server's clients status list |
| getGridVpnTunnel | GET | Query the vpnStats tunnel list |
| getSpectralScanResult | GET | Get current results of environment scanning |
| getSpectralScanHistoryResult | GET | Get history results of environment scanning |
| getGridStackRoutingTable | GET | Get stack routing table |
| getGridOswRoutingTable | GET | Get switch routing table |
exportRogueApsGlobal
POST /openapi/v1/{omadacId}/files/neighbors
Export global Rogue AP scan results
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema Required Parameters for Exporting Rogue AP Scan Results
| Field | Type | Required | Description |
|---|---|---|---|
siteIds | array<string> | no | Parameter [siteIds] indicates site IDs that need to export rogue AP scan results. |
format | integer | no | Parameter [format] indicates the type of the exported file. 0: CSV, 1: xlsx. |
// omada_call_operation
{
"operationId": "exportRogueApsGlobal",
"body": "{...}"
}Details, permissions and error codes
Export global Rogue AP scan results
The interface requires one of the permissions:
Global Export Data Access
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
exportFullChannelDetectResult
GET /openapi/v1/{omadacId}/files/sites/{siteId}/aps/{apMac}/full-channel-detect/export
Export interference detection results
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
apMac | path | string | yes | AP MAC address, like AA-BB-CC-DD-EE-FF |
format | query | integer | yes | export data format |
// omada_call_operation
{
"operationId": "exportFullChannelDetectResult",
"params": {
"siteId": "<siteId>",
"apMac": "<apMac>",
"format": "<format>"
}
}Details, permissions and error codes
Export interference detection results
The interface requires one of the permissions:
Site Tools Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
exportBatchFullChannelDetectResultData_1
GET /openapi/v1/{omadacId}/files/sites/{siteId}/full-channel-detect/{historyId}
Export batch interference detection results
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
historyId | path | string | yes | Customer ID |
format | query | integer | yes | export data format |
// omada_call_operation
{
"operationId": "exportBatchFullChannelDetectResultData_1",
"params": {
"siteId": "<siteId>",
"historyId": "<historyId>",
"format": "<format>"
}
}Details, permissions and error codes
Export batch interference detection results
The interface requires one of the permissions:
Site Tools Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
triggerFullChannelDetect
POST /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/full-channel-detect-start
Enable interference detection
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
apMac | path | string | yes | AP MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema FullChanScanCommandOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
enableInterference | boolean | no | Whether to detect interference when full channel scan. |
enableWifiInterference | boolean | no | Whether to enable wifi interference detect. |
enableChannelUtil | boolean | no | Whether to enable channel load detect. |
// omada_call_operation
{
"operationId": "triggerFullChannelDetect",
"params": {
"siteId": "<siteId>",
"apMac": "<apMac>"
},
"body": "{...}"
}Details, permissions and error codes
Enable interference detection
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.
-44405 - The configuration has been overridden.
getChannelLoadResult
GET /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/full-channel-detect/channel-load
Get channel utilization results of interference detection
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
apMac | path | string | yes | AP MAC address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "getChannelLoadResult",
"params": {
"siteId": "<siteId>",
"apMac": "<apMac>"
}
}Details, permissions and error codes
Get channel utilization results of interference detection
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.
getInterfResult
GET /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/full-channel-detect/grid/interference
Get Interference result
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
apMac | path | string | yes | AP MAC address, like AA-BB-CC-DD-EE-FF |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getInterfResult",
"params": {
"siteId": "<siteId>",
"apMac": "<apMac>"
}
}Details, permissions and error codes
Get Interference result
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.
getFullChannelDetectStatus
GET /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/full-channel-detect/status
Get the interference detection status of APs
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
apMac | path | string | yes | AP MAC address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "getFullChannelDetectStatus",
"params": {
"siteId": "<siteId>",
"apMac": "<apMac>"
}
}Details, permissions and error codes
Get Full Channel Detect Status
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.
getGridWifiInterfResult
GET /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/full-channel-detect/wlan-interference
** Get WiFi interference results of interference detection**
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
apMac | path | string | yes | AP MAC address, like AA-BB-CC-DD-EE-FF |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridWifiInterfResult",
"params": {
"siteId": "<siteId>",
"apMac": "<apMac>"
}
}Details, permissions and error codes
Get WiFi interference results of interference detection
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.
triggerSpectralScan
POST /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/spectral-scan-start
Enable environment scanning
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
apMac | path | string | yes | AP MAC address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "triggerSpectralScan",
"params": {
"siteId": "<siteId>",
"apMac": "<apMac>"
}
}Details, permissions and error codes
Enable environment scanning
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.
-44405 - The configuration has been overridden.
stopSpectralScan
POST /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/spectral-scan-stop
Stop environment scanning
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
apMac | path | string | yes | AP MAC address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "stopSpectralScan",
"params": {
"siteId": "<siteId>",
"apMac": "<apMac>"
}
}Details, permissions and error codes
Stop environment scanning
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.
-44405 - The configuration has been overridden.
scanRogueAps
POST /openapi/v1/{omadacId}/sites/{siteId}/cmd/rogueaps/scan
Scan Rogue APs
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "scanRogueAps",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Scan Rogue APs
The interface requires one of the permissions:
Site Insight Manager Modify
Site Tools Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
terminateVpnTunnel
POST /openapi/v1/{omadacId}/sites/{siteId}/cmd/vpn/stats/tunnel/terminate
Terminating vpn tunnel
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema OsgVpnTunnelOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
vpnId | integer | no | VPN Item Id. |
vpnName | string | no | VPN Item Name. |
userId | integer | no | User Id. |
userName | string | no | Peer Username. |
interfaceName | string | no | Interface Name. |
serverType | integer | no | Client-To-Site VPN Type First-level cascade selection 0:VPN Server 1:VPN Client. |
vpnType | integer | no | Client-To-Site VPN Type Second-level cascade selection 0:L2TP 1: PPTP 2: IPSec 3: OpenVPN. |
clientMode | string | no | Client Mode: Client or NEM(Network Extension Mode). |
localIp | string | no | The local Server IP of the tunnel. |
remoteIp | string | no | The IP address of the peer VPN User. |
downPkts | integer | no | Number of packets in the downlink. |
downBytes | integer | no | Downlink traffic in bytes. |
upPkts | integer | no | The amount of uplink packets. |
upBytes | integer | no | Uplink traffic in bytes. |
uptime | string | no | VPN tunnel effective time, it starts from the connection calculation, accurate to the minute. |
dns | string | no | DNS for the peer VPN. |
// omada_call_operation
{
"operationId": "terminateVpnTunnel",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Terminating vpn tunnel
The interface requires one of the permissions:
Site Insight Manager View Only
Device Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
deleteALLBatchFullChannelDetectHistory
DELETE /openapi/v1/{omadacId}/sites/{siteId}/full-channel-detect
Delete all interference detection history
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "deleteALLBatchFullChannelDetectHistory",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Delete all interference detection history
The interface requires one of the permissions:
Site Tools Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.
startBatchFullChannelDetect
POST /openapi/v1/{omadacId}/sites/{siteId}/full-channel-detect-start
Enable batch interference detection
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema StartBatchFullChannelDetectCmdOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
macList | array<string> | no | Select the Aps to full channel detect;. |
enableInterference | boolean | no | Whether to enable non-interference detect. |
enableWifiInterference | boolean | no | Whether to enable wifi interference detect. |
enableChannelUtil | boolean | no | Whether to enable channel load detect. |
selectType | string | yes | Select type of macs. include: include selected aps, exclude: all but exclude selected aps, all: include all aps(Parameter [macList] need input '[]'). |
// omada_call_operation
{
"operationId": "startBatchFullChannelDetect",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Enable batch interference detection
The interface requires one of the permissions:
Site Tools Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.
deleteBatchFullChannelDetectHistory
DELETE /openapi/v1/{omadacId}/sites/{siteId}/full-channel-detect/{historyId}
Delete the interference detection history
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
historyId | path | string | yes | The ID List of full channel detect |
// omada_call_operation
{
"operationId": "deleteBatchFullChannelDetectHistory",
"params": {
"siteId": "<siteId>",
"historyId": "<historyId>"
}
}Details, permissions and error codes
Delete the interference detection history
The interface requires one of the permissions:
Site Tools Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.
getBatchFullChannelDetectApList
GET /openapi/v1/{omadacId}/sites/{siteId}/full-channel-detect/{historyId}/ap-list
Get the AP list of batch interference detection
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
historyId | path | string | yes | AP MAC address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "getBatchFullChannelDetectApList",
"params": {
"siteId": "<siteId>",
"historyId": "<historyId>"
}
}Details, permissions and error codes
Get the AP list of batch interference detection
The interface requires one of the permissions:
Site Tools Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.
getBatchChannelLoadsResult
GET /openapi/v1/{omadacId}/sites/{siteId}/full-channel-detect/{historyId}/channel-load
Get channel utilization results of batch interference detection
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
historyId | path | string | yes | Customer ID |
mac | query | string | yes | Mac Address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "getBatchChannelLoadsResult",
"params": {
"siteId": "<siteId>",
"historyId": "<historyId>",
"mac": "<mac>"
}
}Details, permissions and error codes
Get channel utilization results of batch interference detection
The interface requires one of the permissions:
Site Tools Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.
getBatchInterferencesResult
GET /openapi/v1/{omadacId}/sites/{siteId}/full-channel-detect/{historyId}/grid/interference
Get Batch Interferences Result
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
historyId | path | string | yes | Customer ID |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getBatchInterferencesResult",
"params": {
"siteId": "<siteId>",
"historyId": "<historyId>"
}
}Details, permissions and error codes
Get Batch Interferences Result
The interface requires one of the permissions:
Site Tools Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.
getBatchWifiInterferencesResult
GET /openapi/v1/{omadacId}/sites/{siteId}/full-channel-detect/{historyId}/grid/wifi-interference
Get WiFi interference results of batch interference detection
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
historyId | path | string | yes | Customer ID |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
filters.type | query | string | yes | Filter query parameters, support field wifi-interference result type. 0: all device; 1: one device. |
filters.radioId | query | string | no | Filter query parameters, support field radio id. 0: 2.4G; 1: 5G; 3:6G. |
filters.mac | query | string | no | Filter query parameters, support field AP MAC address, like AA-BB-CC-DD-EE-FF. When parameter [filter.type] is 0, this parameter is invalid. |
// omada_call_operation
{
"operationId": "getBatchWifiInterferencesResult",
"params": {
"siteId": "<siteId>",
"historyId": "<historyId>",
"filters.type": "<filters.type>"
}
}Details, permissions and error codes
Get WiFi interference results of batch interference detection
The interface requires one of the permissions:
Site Tools Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.
getDisableFullChannelDetectApMacList
GET /openapi/v1/{omadacId}/sites/{siteId}/full-channel-detect/batch/info
Get the MAC list of APs that cannot perform interference detection
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getDisableFullChannelDetectApMacList",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get the MAC list of APs that cannot perform interference detection
The interface requires one of the permissions:
Site Tools Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-39377 - Failed to obtain the list of APs that support interference detection.
getGridFullChannelDetectHistory
GET /openapi/v1/{omadacId}/sites/{siteId}/full-channel-detect/grid/scan-history
Get the interference detection history by page
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridFullChannelDetectHistory",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get the interference detection history by page
The interface requires one of the permissions:
Site Tools Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.
getBatchFullChannelDetectStatus
POST /openapi/v1/{omadacId}/sites/{siteId}/full-channel-detect/status
Get the interference detection status
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema QueryBatchFullChannelDetectStatusVO
| Field | Type | Required | Description |
|---|---|---|---|
idList | array<string> | no |
// omada_call_operation
{
"operationId": "getBatchFullChannelDetectStatus",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Get the interference detection status
The interface requires one of the permissions:
Site Tools Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.
getGridEnableFullChannelDetectApList
GET /openapi/v1/{omadacId}/sites/{siteId}/grid/full-channel-detect/ap-list
Get the list of devices that can perform interference detection by page
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridEnableFullChannelDetectApList",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get the list of devices that can perform interference detection by page
The interface requires one of the permissions:
Site Tools Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.
getPortForwardStatus
GET /openapi/v1/{omadacId}/sites/{siteId}/insight/port-forwarding/{type}
Get Port Forwarding Status
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
type | path | string | yes | User/UPnP |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getPortForwardStatus",
"params": {
"siteId": "<siteId>",
"type": "<type>"
}
}Details, permissions and error codes
Get Port Forwarding Status
The interface requires one of the permissions:
Site Insight Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
getGridRogueAps
GET /openapi/v1/{omadacId}/sites/{siteId}/insight/rogueaps
Query the Rogue AP scan results
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridRogueAps",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Query the Rogue AP scan results
The interface requires one of the permissions:
Site Insight Manager View Only
Site Tools Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
getGridRouting
GET /openapi/v1/{omadacId}/sites/{siteId}/insight/routing/{type}
Get the routing table data interface
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
type | path | string | yes | Device type, the type should be gateway, switch. |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridRouting",
"params": {
"siteId": "<siteId>",
"type": "<type>"
}
}Details, permissions and error codes
Get the routing table data interface
The interface requires one of the permissions:
Site Insight Manager View Only
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
getGridWidsData
GET /openapi/v1/{omadacId}/sites/{siteId}/insight/wids
Query the Wireless IDS entry list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridWidsData",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Query the Wireless IDS entry list
The interface requires one of the permissions:
Site Insight Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
getGridWipsBlackList
GET /openapi/v1/{omadacId}/sites/{siteId}/insight/wids/blacklist
Get the dynamic blacklist entry data of Wireless IDS
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridWipsBlackList",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get the dynamic blacklist entry data of Wireless IDS
The interface requires one of the permissions:
Site Insight Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
removeWipsBlackList
PUT /openapi/v1/{omadacId}/sites/{siteId}/insight/wids/blacklist/{mac}
Remove the specified Device MAC from the blacklist of the reported device
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
mac | path | string | yes | Mac Address |
Request body — application/json (required) — schema RemoveBlackListOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
stationMac | string | no | MAC address of the device. |
// omada_call_operation
{
"operationId": "removeWipsBlackList",
"params": {
"siteId": "<siteId>",
"mac": "<mac>"
},
"body": "{...}"
}Details, permissions and error codes
Remove the specified Device MAC from the blacklist of the reported device
The interface requires one of the permissions:
Site Insight Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
getGridVpnClientStatus
GET /openapi/v1/{omadacId}/sites/{siteId}/setting/vpn/stats/client
Get VPN Client status list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
filters.vpnType | query | string | yes | Filter query parameters, support field vpnType. 0: L2TP; 1: PPTP; 3: OpenVPN; 4: WireGuard. |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridVpnClientStatus",
"params": {
"siteId": "<siteId>",
"filters.vpnType": "<filters.vpnType>"
}
}Details, permissions and error codes
Get VPN Client status list.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
getGridVpnIpSec
GET /openapi/v1/{omadacId}/sites/{siteId}/setting/vpn/stats/ipsec
Query the vpnStats ipsec list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridVpnIpSec",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Query the vpnStats ipsec list
The interface requires one of the permissions:
Site Insight Manager View Only
Device Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
getGridVpnS2SStatus
GET /openapi/v1/{omadacId}/sites/{siteId}/setting/vpn/stats/s2s
Get VPN Site-to-Site status list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
filters.vpnType | query | string | yes | Filter query parameters, support field vpnType. 2: IPSec; 4: WireGuard. |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridVpnS2SStatus",
"params": {
"siteId": "<siteId>",
"filters.vpnType": "<filters.vpnType>"
}
}Details, permissions and error codes
Get VPN Site-to-Site status list.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
getGridVpnS2SPeersStatus
GET /openapi/v1/{omadacId}/sites/{siteId}/setting/vpn/stats/s2s/{vpnId}/peer
Get VPN Site-to-Site's peers status list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
vpnId | path | string | yes | VPN ID |
filters.status | query | string | no | Filter query parameters, support field status. 0: disconnected; 1: connected. |
searchKey | query | string | no | searchKey |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridVpnS2SPeersStatus",
"params": {
"siteId": "<siteId>",
"vpnId": "<vpnId>"
}
}Details, permissions and error codes
Get VPN Site-to-Site's peers status list by VPN ID.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
getGridVpnServerStatus
GET /openapi/v1/{omadacId}/sites/{siteId}/setting/vpn/stats/server
Get VPN Server status list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
filters.vpnType | query | string | yes | Filter query parameters, support field vpnType. 0: L2TP; 1: PPTP; 2: IPSec; 3: OpenVPN; 4: WireGuard; 5: SSL VPN. |
filters.clientMode | query | string | no | Filter query parameters, support field Client mode for VPN user. 0: NEM(Network Extension Mode) ; 1: Client. |
sorts.activeClients | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
sorts.clients | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridVpnServerStatus",
"params": {
"siteId": "<siteId>",
"filters.vpnType": "<filters.vpnType>"
}
}Details, permissions and error codes
Get VPN Server status list.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
getGridVpnServerClientsStatus
GET /openapi/v1/{omadacId}/sites/{siteId}/setting/vpn/stats/server/{vpnId}/client
Get VPN Server's clients status list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
vpnId | path | string | yes | VPN ID |
filters.status | query | string | no | Filter query parameters, support field status. 0: disconnected; 1: connected. |
searchKey | query | string | no | searchKey |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridVpnServerClientsStatus",
"params": {
"siteId": "<siteId>",
"vpnId": "<vpnId>"
}
}Details, permissions and error codes
Get VPN Server's clients status list by VPN ID.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
getGridVpnTunnel
GET /openapi/v1/{omadacId}/sites/{siteId}/setting/vpn/stats/tunnel
Query the vpnStats tunnel list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridVpnTunnel",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Query the vpnStats tunnel list
The interface requires one of the permissions:
Site Insight Manager View Only
Site Device Manager View Only
Device Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
getSpectralScanResult
GET /openapi/v1/{omadacId}/sites/{siteId}/spectral-scan/aps/{apMac}/spectral-scan-result
Get current results of environment scanning
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
apMac | path | string | yes | AP MAC address, like AA-BB-CC-DD-EE-FF |
times | query | integer | yes | The time between the requested spectral scan results. |
// omada_call_operation
{
"operationId": "getSpectralScanResult",
"params": {
"siteId": "<siteId>",
"apMac": "<apMac>",
"times": "<times>"
}
}Details, permissions and error codes
Get current results of environment scanning. The results of the environment scan are compressed by the Deflate algorithm and then base64 encoded.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.
getSpectralScanHistoryResult
GET /openapi/v1/{omadacId}/sites/{siteId}/spectral-scan/aps/{apMac}/spectral-scan-result/history
Get history results of environment scanning
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
apMac | path | string | yes | AP MAC address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "getSpectralScanHistoryResult",
"params": {
"siteId": "<siteId>",
"apMac": "<apMac>"
}
}Details, permissions and error codes
Get history results of environment scanning. The results of the environment scan are compressed by the Deflate algorithm and then base64 encoded.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.
getGridStackRoutingTable
GET /openapi/v1/{omadacId}/sites/{siteId}/stack/{stackId}/routingTable
Get stack routing table
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
sorts.destinationIp | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
filters.type | query | string | no | Filter query parameters, support field type |
searchKey | query | string | no | Fuzzy query parameters, support field destinationIp |
// omada_call_operation
{
"operationId": "getGridStackRoutingTable",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>"
}
}Details, permissions and error codes
Get stack routing table.
The interface requires one of the permissions:
Site Device Manager View Only
getGridOswRoutingTable
GET /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/routingTable
Get switch routing table
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
sorts.destinationIp | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
filters.type | query | string | no | Filter query parameters, support field type |
searchKey | query | string | no | Fuzzy query parameters, support field destinationIp |
// omada_call_operation
{
"operationId": "getGridOswRoutingTable",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>"
}
}Details, permissions and error codes
Get switch routing table.
The interface requires one of the permissions:
Site Device Manager View Only